%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# Generated from listen-0.4.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name listen

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.7.11
Release: 2%{?dist}
Summary: Listen to file modifications
Group: Development/Languages
License: MIT
URL: https://github.com/guard/listen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Remove the hardcoded dependencies. We don't have them in Fedora (except rb-inotify),
# they are platform specifis and not needed.
# https://github.com/guard/listen/pull/54
Patch0: listen-%{version}-Remove-hardcoded-platform-specific-dependencies.patch
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(celluloid)
Requires: %{?scl_prefix}rubygem(rb-inotify)

BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix}rubygem(celluloid)
BuildRequires: %{?scl_prefix}rubygem(rb-inotify)
# BuildRequires: %{?scl_prefix}rubygem(celluloid-io) >= 0.15.0
# BuildRequires: %{?scl_prefix}rubygem(rspec) => 3.0.0rc1
# BuildRequires: %{?scl_prefix}rubygem(rspec) < 3.1
# BuildRequires: %{?scl_prefix}rubygem(rspec-retry) 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
BuildArch: noarch

%description
The Listen gem listens to file modifications and notifies you about the
changes. Works everywhere!

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
%{?scl:scl enable %{scl} - << \EOF}
%gem_install -n %{SOURCE0}
%{?scl:EOF}

pushd .%{gem_dir}
%patch0 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

#%%check
#pushd .%{gem_instdir}
# We don't have celluoid-io, needed by TCP forwarding feature of Listen,
# in Fedora yet => disable the tests.
#sed -i '/listen\/tcp/ s/^/#/' spec/spec_helper.rb
#rm spec/acceptance/tcp_spec.rb
#rm spec/lib/listen/adapter/tcp_spec.rb
#rm -rf spec/lib/listen/tcp
#
#sed -i '/verify_/ s/^/#/' spec/spec_helper.rb
#
#sed -i '/rspec\/retry/,/^end$/ s/^/#/' spec/spec_helper.rb
#
#rspec spec
#popd

%files
%dir %{gem_instdir}
%{_bindir}/listen
%{gem_instdir}/bin
%doc %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/Guardfile
%{gem_instdir}/spec
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Thu Nov 27 2014 Josef Stribny <jstribny@redhat.com> - 2.7.11-2
- Add SCL macros

* Tue Oct 07 2014 Josef Stribny <jstribny@redhat.com> - 2.7.11-1
- Update to listen 2.7.11

* Mon Sep 01 2014 Josef Stribny <jstribny@redhat.com> - 2.7.9-1
- Update to listen 2.7.9.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Vít Ondruch <vondruch@redhat.com> - 0.4.7-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.4.7-1
- Initial package
